This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 819039 - [as7] code that discovers the config file names does not take the jboss.*.default.config sysprops into account
[as7] code that discovers the config file names does not take the jboss.*.def...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.4.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-04 12:21 EDT by Ian Springer
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:17:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-04 12:21:43 EDT
The following sysprops can optionally be specified to override the corresponding hard-coded default config file names:

jboss.server.default.config
jboss.host.default.config
jboss.domain.default.config

For details, see:

https://github.com/jbossas/jboss-as/pull/1455

We need to add support for these. Discovery logic should be:

String serverConfig = serverCmdLine.getClassOption(SERVER_CONFIG_OPTION);
if (serverConfig == null) {
   serverConfig = serverCmdLine.getSystemProperty("jboss.server.default.config");
}
if (serverConfig == null) {
   serverConfig = "standalone.xml";
}

The first if-block is the one that needs to be added for all three config files.
Comment 1 Ian Springer 2012-05-05 12:52:21 EDT
I fixed this as part of http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=26a25e8, since I was working in this exact part of the code.
Comment 4 Heiko W. Rupp 2013-09-01 06:17:50 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.